Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Questions and bug reports for Beta releases should be posted here.
Forum rules
Help us help you:
  • Tell us what system you run SABnzbd on.
  • Adhere to the forum rules.
  • Do you experience problems during downloading?
    Check your connection in Status and Interface settings window.
    Use Test Server in Config > Servers.
    We will probably ask you to do a test using only basic settings.
  • Do you experience problems during repair or unpacking?
    Enable +Debug logging in the Status and Interface settings window and share the relevant parts of the log here using [ code ] sections.
Post Reply
zack832
Newbie
Newbie
Posts: 4
Joined: September 22nd, 2020, 1:42 am

Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Post by zack832 »

For some reason my Linux Mint 19.3 system included this in the latest batch of updates, I do not know why an RC would be included in the standard updates. Anyway lots of issues. Most download fail, that has not happened in years, always rock solid. Also the list of download now shows everything in red as failed, stuff I downloaded over a year ago is now on the first page, and these were successful downloads. How do I correct this?

Question, is there an easy way to roll back? I have no desire to nuke it and re-enter all my info - I've had to do that in the past.

User avatar
sander
Release Testers
Release Testers
Posts: 7231
Joined: January 22nd, 2008, 2:22 pm

Re: Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Post by sander »

Are you sure Linux Mint 19.3 provided that? Are you sure you did not activate the PPA? What is the output of

Code: Select all

apt-cache policy sabnzbdplus
On my Ubuntu:

Code: Select all

$ apt-cache policy sabnzbdplus
sabnzbdplus:
  Installed: 3.1.0~rc1-0ubuntu1~jcfp1~20.04
  Candidate: 3.1.0~rc1-0ubuntu1~jcfp1~20.04
  Version table:
 *** 3.1.0~rc1-0ubuntu1~jcfp1~20.04 500
        500 http://ppa.launchpad.net/jcfp/ppa/ubuntu focal/main amd64 Packages
        500 http://ppa.launchpad.net/jcfp/ppa/ubuntu focal/main i386 Packages
        100 /var/lib/dpkg/status
     3.0.0~0git20200408+dfsg-1 500
        500 http://nl.archive.ubuntu.com/ubuntu focal/multiverse amd64 Packages
        500 http://nl.archive.ubuntu.com/ubuntu focal/multiverse i386 Packages
So: I have 3.1.0~rc1, and it came in via the PPA

EDIT:

As an extra service to you, I started a Linux Mint 19.3 docker container, and ... it only provides sabnzbdplus 2.3.2 (ugh!).
So I'm quite sure you have activated the PPA yourself (and it is not forced by Linux Mint 19.3, as your subject)
See https://sabnzbd.org/wiki/installation/i ... buntu-repo : Via the PPA, default you get Beta and RCs. See that same page if you want to receive only final stable releases.
Finally: FWIW: 3.1.0 RC1 is perfect on my Ubuntu.

Code: Select all

[email protected]:/# lsb_release -a
No LSB modules are available.
Distributor ID: LinuxMint
Description:    Linux Mint 19.3 Tricia
Release:        19.3
Codename:       tricia

Code: Select all

[email protected]:/# apt-cache policy sabnzbdplus
sabnzbdplus:
  Installed: 2.3.2+dfsg-1
  Candidate: 2.3.2+dfsg-1
  Version table:
 *** 2.3.2+dfsg-1 500
        500 http://archive.ubuntu.com/ubuntu bionic/multiverse amd64 Packages
        100 /var/lib/dpkg/status

zack832
Newbie
Newbie
Posts: 4
Joined: September 22nd, 2020, 1:42 am

Re: Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Post by zack832 »

Wow, I thought I posted a reply but it's not here, odd. Well not so odd the site won't let me post the requested info in any form. Kind of worthless for a "help" site. It is in no way a link.

I ran the command and got this:




At this point I cleared the list of errors but now any download I do does not show up in the lower panel, but the file is saved. Odd, Fix?

User avatar
sander
Release Testers
Release Testers
Posts: 7231
Joined: January 22nd, 2008, 2:22 pm

Re: Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Post by sander »

I see no output.

As a new user, you are not allowed to post anything that could be link. Workaround: Put spaces between dots and wors.
Or: post on pastebin, and post the URL (with spaces in it) here.

zack832
Newbie
Newbie
Posts: 4
Joined: September 22nd, 2020, 1:42 am

Re: Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Post by zack832 »

sabnzbdplus:
Installed: 3.1.0~rc1-0ubuntu1~jcfp1~18.04
Candidate: 3.1.0~rc1-0ubuntu1~jcfp1~18.04
Version table:
*** 3.1.0~rc1-0ubuntu1~jcfp1~18.04 500
500 h. ttp ://ppa.launchpad. net/jcfp/ppa/ubuntu bionic/main amd64 Packages
500 h .ttp ://ppa.launchpad. net/jcfp/ppa/ubuntu bionic/main i386 Packages
100 /var/lib/dpkg/status
3.0.2-0ubuntu1~jcfp1~18.04 500
500 h .ttp ://ppa.launchpad. net/jcfp/nobetas/ubuntu bionic/main amd64 Packages
500 h. ttp ://ppa.launchpad. net/jcfp/nobetas/ubuntu bionic/main i386 Packages
2.3.2+dfsg-1 500
500 h .tt p://archive.ubuntu. com/ubuntu bionic/multiverse amd64 Packages
500 ht.t p://archive.ubuntu .com/ubuntu bionic/multiverse i386 Packages

User avatar
sander
Release Testers
Release Testers
Posts: 7231
Joined: January 22nd, 2008, 2:22 pm

Re: Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Post by sander »

So ... as I expected: you activated the PPA, with beta's

I already explained to you how you change to PPA main releases. Or remove the PPA settings if you want to stay on releases by Linux Mint itself.

zack832
Newbie
Newbie
Posts: 4
Joined: September 22nd, 2020, 1:42 am

Re: Beta 3.1.0 RC01 forced by Linux Mint 19.3 --Fails

Post by zack832 »

Ok, got it -thanks. About to rebuild system so I'll live with the issues for a bit, will avoid RC's.

Post Reply